import request from '@/utils/request'

// 查询可充电储能子系统温度信息列表
export function listTemperature(query) {
  return request({
    url: '/temperature/temperature/list',
    method: 'get',
    params: query
  })
}

// 查询可充电储能子系统温度信息详细
export function getTemperature(id) {
  return request({
    url: '/temperature/temperature/' + id,
    method: 'get'
  })
}

// 新增可充电储能子系统温度信息
export function addTemperature(data) {
  return request({
    url: '/temperature/temperature',
    method: 'post',
    data: data
  })
}

// 修改可充电储能子系统温度信息
export function updateTemperature(data) {
  return request({
    url: '/temperature/temperature',
    method: 'put',
    data: data
  })
}

// 删除可充电储能子系统温度信息
export function delTemperature(id) {
  return request({
    url: '/temperature/temperature/' + id,
    method: 'delete'
  })
}
